Problem installing 2020.05.04 release

I get error message while trying to install this release, before like a month ago everything was fine. I tried to install on real hardware i thought there might be an issue and tried in virtual machine… same error “chrun …many various packages…” Not able to install… Once i tried and i noticed lots of archlabs packages wasn’t able to proceed, i edited /etc/pacman.conf and commented one of your repository, but it didn’t helped and then showed various linux packages. It doesn’t take very long into installation process to receive this message. I might do again later on and take a picture.

Might help with what hardware you have , gpu, etc.

If you’ve got this message:
image

Try this iso and check if the same issue and it’s solution applies to your problem.

2 Likes

Search the forum for the chrun error. Been some installation issues showing that error; usually gets solved.

Edit - nija’d by @Beast

2 Likes

Please try updating the installer first using

pacman -Syy archlabs-installer
1 Like

I tried to update now and executable disappears when i update installer. I checked pacman -Q shows it is installed, but i cant find executable anywhere in the system.

oh i see it has been renamed to installer

With updated version i got this error.

Looks like mistype problem should be xorg-font-util

First I updated archlabs-installer “pacman -S archlabs-installer” after update it is no longer archlabs-installer it is just “installer”. I edited /usr/bin/installer , xorg-font-utils to xorg-font-util everything went fine. This message is for everyone who experience this. But if you are running newest installer you most likely no need to edit installer script

3 Likes

Glad that you got it to work.

Please mark it as solved as it can be of some help to other members.

Glad you resolved the problem. It looks like xorg-font-utils was removed from the repo. My system was installed on 2019-10-29 and I still have it on my system.

pacman -Qi xorg-font-utils
Name            : xorg-font-utils
Version         : 7.6-6
Description     : Transitional package depending on xorg font utilities
Architecture    : any
URL             : http://xorg.freedesktop.org/
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : xorg-bdftopcf  xorg-mkfontdir  xorg-mkfontscale  xorg-font-util
Optional Deps   : None
Required By     : None
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 0.00 B
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Sat 16 May 2020 05:22:40 AM EDT
Install Date    : Mon 18 May 2020 10:22:48 PM EDT
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

I guess in the description it states it is a transitional package. Does Arch ever announce their deprecated (actually hard remove) packages in advance?

We’re glad you’ve found your way man, learned something in the process and, most importantly, shared it with all of us. Cheers to your brand new Archlabs install and welcome to the gang! :metal:

1 Like

Looks like now these packages must be installed manually rather than just with one liner. Do you think these packages important for the system?

Running

expac -S %N xorg-font-utils 
expac %N xorg-font-utils

returns nothing so I don’t think it’s needed anymore.

Thanks for response. Hopefully devs will take a note. Or maybe need message to them?

Might be a good idea @3O0QUI1O .

I checked archlabs bitbucket repository… Looks like they took a note of this post or maybe other one and edited installer.

Just PM @natemaia . He s pretty much the dev, might help on that .

& see what will come out of this.

Thanks for info maybe next time. This issue has been solved in archlabs installer.

Thanks for this! Typing all the stuff by hand because of the error: no error found issue and got to xorg and ran into this. Wish me luck…

1 Like